﻿using System;
using JetBrains.Annotations;

namespace Magify
{
    public class MagifyFailedToSaveBinaryStorageException : MagifyBinaryStorageException
    {
        public MagifyFailedToSaveBinaryStorageException([NotNull] string storage, bool isRetry, [NotNull] Exception innerException)
            : base($"Magify failed to save data to binary storage '{storage}' with exception ({nameof(isRetry)}: {isRetry}).", innerException)
        {
        }
    }
}