# 🧙 Magify Unity3d SDK

[![sdk](https://img.shields.io/badge/sdk-4.1.2-green)](https://github.com/Magify-LTD/magify-unity)
[![service](https://img.shields.io/badge/service-4.1.2-green)](https://github.com/Magify-LTD/magify-unity)

```
{
  "dependencies": {
    "com.magify.unity-sdk": "file:com.magify.unity-sdk-4.1.2.tgz",
    "com.magify.unity-sdk-service": "file:com.magify.unity-sdk-service-4.1.2.tgz",
    ...
  },
}
```

> **Full documentation with example at [version page](https://magify.atlassian.net/wiki/spaces/GW/pages/1280164/Releases).**


# Change Log

## [4.1.2]
- [SDK] Supported multithreading in EventHandler. Handled UnityWebRequests exceptions (#602)
- [SDK] Added catching of exceptions during migration (#603)
- [SDK] Added retry for savng BinaryStorage on disk (#604)
- [SDK] Added retry for loading BinaryStorage from disk (#605)
- [SDK] Added lto activation counters migration (#606)
- [SDK] Moved StartEndSession to iOS's Active/Inactive states callbacks (#607)
- [SDK] Handled failed to access GPS ad id exception (#608)
- [SDK] Reverted 'Moved StartEndSession to iOS's Active/Inactive states callbacks'
- [SDK] Reduced amount of LogError in Unity editor

# CONTACTS

| #  | Name                                                                                                     | Position             |
|:--:|----------------------------------------------------------------------------------------------------------|----------------------|
| 1  | [Kirill Dudnik](https://magifycom.slack.com/team/U074KHLMRAA) ([email](kirill.dudnik@magify.com))        | Unity                |