﻿using System;
using Magify.Model;

namespace Magify
{
    internal interface IAnalyticsTracker
    {
        IObservable<EventType> OnEventSent { get; }
        void HandeWentForeground();
        void HandeWentBackground();
        void TrackAppLaunch();
        void TrackAppBackgroundEvent(long openTime, long closeTime);
    }
}