using System;
using System.Collections.Generic;
using Newtonsoft.Json;

namespace Magify.Model
{
    internal class TrackInstallEvent : IAnalyticsEvent
    {
        [JsonProperty("apps")]
        public HashSet<string> InstalledApps { get; init; }

        [JsonProperty("timestamp")]
        public double Timestamp { get; init; } = TimestampExtensions.UtcNowTimestamp;
    }
}